%define upstream_name    MooseX-AutoDestruct
%define upstream_version 0.009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Moose 1.x autodestruct traits
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
MooseX::AutoDestruct is an attribute metaclass trait that causes your
attribute value to be cleared after a certain time from when the value has
been set.

This trait will work regardless of how the value is populated or if a
clearer method has been installed; or if the value is accessed via the
installed accessors or by accessing the attribute metaclass itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-9.mga8
+ Revision: 1495650
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.9.0-8.mga7
+ Revision: 1269591
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.9.0-7.mga6
+ Revision: 1030331
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.9.0-6.mga6
+ Revision: 942490
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-5.mga5
+ Revision: 742687
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 685522
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 513159
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 370139
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 08 2011 kharec <kharec> 0.9.0-1.mga2
+ Revision: 165261
- update to 0.009

* Mon Nov 07 2011 kharec <kharec> 0.8.0-1.mga2
+ Revision: 164762
- imported package perl-MooseX-AutoDestruct


* Mon Nov 07 2011 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
